
using GatewaySCO;
/// <summary>
/// Factory que retorna un directorio de comandos instanciado
/// con los comandos apropiados según tipo de POS.
/// </summary>
public class DirectorioCmdsFactory
    {
        public static CreaDirectorioCmds CreaDirectorio(Config config)
        {
            switch (config.POS)
            {
                case "pruebas":
                    return DispensaDirectorioCmdsPruebas.Dispensa(config);
                case "evapos":
                    return DispensaDirectorioCmdsEvaPOS.Dispensa(config);
                case "gk":
                    return DispensaDirectorioCmdsGK.Dispensa(config);
                case "gk_test":
                    return DispensaDirectorioCmdsGKPruebas.Dispensa(config);
                default:
                    throw new ArgumentException("TipoPOS no válido", "tipoPOS");
            }
        }
    }
